Bug 1165244 - gnome-terminal no longer supports user selectable word-chars
gnome-terminal no longer supports user selectable word-chars
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
21
All Unspecified
high Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-18 10:44 EST by Nick Stoughton
Modified: 2015-12-02 11:32 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 00:03:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Trivial patch to remove colon from word chars. (768 bytes, application/mbox)
2014-11-18 10:44 EST, Nick Stoughton
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 724110 None None None Never
GNOME Desktop 727743 None None None Never
GNOME Desktop 730632 None None None Never

  None (edit)
Description Nick Stoughton 2014-11-18 10:44:47 EST
Created attachment 958640 [details]
Trivial patch to remove colon from word chars.

Description of problem:

Since upgrading to Fedora-21, gnome-terminal now has hard-coded the Word delimiters for Text Selection. This was previously a user selectable list, but see https://bugzilla.gnome.org/show_bug.cgi?id=727743.

The profile-preferences help text still describes a "Text selection" preference, but this dialog has been removed.

Many people like to remove the ':' character from words, so that the output of several commands (e.g. grep) which append a colon to the filename can be easily parsed.

Version-Release number of selected component (if applicable):
GNOME Terminal 3.14.2


How reproducible:
Always.




Additional info:
Preferably re-instate the dialog to allow for user selectable word chars. A trivial patch to remove colon from the word-chars is attached (patch is to vte).
Comment 1 Egmont Koblinger 2014-11-18 13:21:30 EST
See also https://bugzilla.gnome.org/show_bug.cgi?id=730632
Comment 2 Pete Zaitcev 2014-12-20 10:54:07 EST
See also bug 1125921 (but I'm sure Egmont knows, he commented on it).
Comment 3 Paul Wouters 2015-01-11 21:03:26 EST
<takes a long deep breath>

What in the name of freedom is wrong with upstream?

They are having a _discussion_ about which characters should denominate a word or not. That alone should make the point clear this should be a user setting.

In fact, using fedora 19 where this still works, I _regularly_ change that setting depending on the tasks I am performing. Sometimes I want the colon or or underscore, and most times I don't. And vice-versa for the at-symbol.

This bug makes programming in gnome-terminal with a text editor completely and utterly useless. Not being able to select variable or function names in gcc output on my screen renders gnome-terminal unusable.

There is no valid reason for the removal of this feature.

I was tolerating this as a bug to be fixed. This cannot possibly ever be considered a feature.

Please unpatch upstream's insane decision and re-instate the Select-by-word: option in the gnome-terminal profile preference menu.
Comment 4 Trevor Cordes 2015-01-12 00:24:14 EST
Hear hear Paul.  You bring up a great point, as I too sometimes wrestle with what chars I should include and change it on the fly.  I'd love to see a new feature where not only can we specify double-click chars, but we can also specify separately alt-double-click chars and ctl-double-click chars.  That way we can instantly have access to our favorite modes.  I do believe this would be trivial to add.  If gnome dev people are scared of preferences-dialog-bloat, they can hide the conf in some obscure conf program or .conf file.  But at the very least, give us back what we had in old gnome-terminal.
Comment 5 Egmont Koblinger 2015-01-12 05:21:18 EST
(In reply to Trevor Cordes from comment #4)

> specify separately alt-double-click chars and ctl-double-click chars.

This will definitely be rejected upstream. It's overcomplicated, useful for probably only a very few users. Let alone technical complications that alt-click is usually handled by the WM, and ctrl-click performs an action over certain kinds of text (e.g. opens URL). But you can have multiple profiles and switch relatively quickly.

That being said, I fully agree that the setting (along with a UI) needs to be restored. If it doesn't happen upstream then downstream distros should do it, pushing pressure on upstream. It's more important than transparency, which is shipped by at least two downstream distros (Fedora and Ubuntu).

(I myself do have upstream commit access, but I'm not going to revert a change the main developer did without his consent. I'm trying to convince him...)
Comment 6 Paul Wouters 2015-01-12 14:39:28 EST
Egmont: thanks! I fully understand your position and agree.
Comment 7 Egmont Koblinger 2015-02-08 12:18:55 EST
I've attached patches to the upstream report.  I don't know yet what their fate will be, but in the mean time Fedora might consider applying them.
Comment 8 Dario Lesca 2015-03-02 09:56:33 EST
(In reply to Egmont Koblinger from comment #7)
> I've attached patches to the upstream report.  I don't know yet what their
> fate will be, but in the mean time Fedora might consider applying them.

Thank Egmont ... Where I can found the patches ?

This "features" is like the UP button (cd ..), or Status bar with free space, missed from nautilus, ... and some little other "missing features". 
I should try looking for them into /lost+found
Comment 9 Egmont Koblinger 2015-03-02 10:07:12 EST
(In reply to Dario Lesca from comment #8)

> Where I can found the patches ?

In https://bugzilla.gnome.org/show_bug.cgi?id=730632 (currently at comments 30-31).
Comment 10 Dario Lesca 2015-03-02 11:56:07 EST
(In reply to Egmont Koblinger from comment #9)
> 
> In https://bugzilla.gnome.org/show_bug.cgi?id=730632 (currently at comments
> 30-31).

Into patch propose at comment #30 there is a reference to src/vte.c but this file does not exist into gnome-terminal-3.14.2.src (Fedora 21), then I can not patch the gnome-terminal.spech and run rpmbuild -ba to rebuild it.
Please show to me howto I can apply this patch.
Many thanks
Comment 11 Egmont Koblinger 2015-03-02 12:00:11 EST
That one's for vte291, you have to rebuild both packages.
Comment 12 Andreas Gruenbacher 2015-03-06 09:32:23 EST
I'm having the same problem with typographical quotes that gcc includes in error messages in locale "en_US.UTF-8". For example, when I double click on foo in the following error message, the quotes get selected as well; this makes no sense:

  implicit declaration of function ‘foo’

The same would apply for other quoting characters in other locales:

 ‚‘’‹›  „“”«»

Please consider  including these in the default word delimiting characters and make this configurable again.

Gnome's frenzy with randomly taking away features from users is shameful and sad.
Comment 13 Matthias Clasen 2015-03-06 09:59:26 EST
gnome has nothing to do with this. it was the decision of the gnome-terminal maintainers to remove this.
Comment 14 Paul Wouters 2015-03-06 11:07:10 EST
gnome-terminal is a VERY core part of a gnome desktop. One would hope that some oversight of the gnome project itself would look after critical packages and handle important regressions encountered
Comment 15 Pete Zaitcev 2015-03-06 11:16:49 EST
Andreas et. al., could you guys take this bickering to some other forum, please?
Comment 16 Egmont Koblinger 2015-03-19 11:38:35 EDT
vte-0.39.92 brings back the word char support, and changes the default to only contain alphanumeric characters plus a few other exceptions (but no large sets of Unicode punctuation characters).

There is no UI in gnome-terminal, see https://bugzilla.gnome.org/show_bug.cgi?id=730632#c33 for how to set the value from command line, or https://bugzilla.gnome.org/show_bug.cgi?id=730632#c35 for a patch to g-t.

Fedora / Red Hat developers might consider applying the g-t UI patch (or a variant thereof) to the distribution (after a careful review/test, I haven't tested it as thoroughly as I would've for mainstream inclusion).
Comment 17 Andreas Gruenbacher 2015-03-19 15:58:46 EDT
Thanks!
Comment 18 Pete Zaitcev 2015-05-06 01:12:34 EDT
vte3-0.36.4-1.fc22 works for me. Nick, should I close this now?
Comment 19 Egmont Koblinger 2015-05-06 04:12:57 EDT
The bugreport is about vte291-0.38.x and gnome-terminal 3.14 which removed this feature; not about vte3-0.36.x which is used by gnome-terminal <= 3.12.
Comment 20 Trevor Cordes 2015-06-12 05:08:09 EDT
Can we get the fixed version pushed to F21, the version this bug is filed against?  (I can't move to F22 right away.)

Does the fix put the option back in the preferences dialog or do we simple get some text/gconf way to change the chars?  If the latter, can someone provide instructions?  I haven't used gconf or played with gnome text files in nearly a decade.  Thanks!
Comment 21 Fedora End Of Life 2015-11-04 05:45:16 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2015-12-02 00:03:18 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.